Subject: Re: A performance issue with Memoize

From: Richard Guo <[email-masked]>
Date: Wed, 25 Oct 2023 14:45:59 +0800

On Fri, Oct 20, 2023 at 7:43 PM Pavel Stehule <[email-masked]>
wrote:

> +1
>
> it would be great to fix this problem - I've seen this issue a few times.
>

Thanks for the input.  I guess this is not rare in the real world.  If
the subquery contains lateral reference to a Var that also appears in
the subquery's join clauses, we'd probably suffer from this issue.

Thanks
Richard